package com.swiftcleaner.chovey.model.bean;

import android.graphics.Bitmap;

import java.util.List;
public class CleanFileBean {
    private String name;
    private String path;
    private int icon;
    private Bitmap icon1;
    private long length;
    private long lastModified;
    private String mineType;
    private boolean isSelected;
    private boolean isScanning;
    private int state;
    private int type;
    private List<CleanFileBean> items;

    public CleanFileBean(String name) {
        this(name, "", 0, 0, 0, "", false, true, 0, 0, null);
    }

    public CleanFileBean() {
    }

    public CleanFileBean(String name, String path, String mineType) {
        this.name = name;
        this.path = path;
        this.mineType = mineType;
    }

    public CleanFileBean(String name, String path, long length) {
        this.name = name;
        this.path = path;
        this.length = length;
    }

    public CleanFileBean(String name, String path, Bitmap icon1, long length) {
        this.name = name;
        this.path = path;
        this.icon1 = icon1;
        this.length = length;
    }

    public CleanFileBean(String name, Bitmap icon1, long length) {
        this.name = name;
        this.icon1 = icon1;
        this.length = length;
    }

    public CleanFileBean(String name, String path, int icon1, long length, long lastModified, String mineType, boolean isSelected, boolean isScanning, int state, int type, List<CleanFileBean> items) {
        this.name = name;
        this.path = path;
        this.icon = icon1;
        this.length = length;
        this.lastModified = lastModified;
        this.mineType = mineType;
        this.isSelected = isSelected;
        this.isScanning = isScanning;
        this.state = state;
        this.type = type;
        this.items = items;
    }

    public CleanFileBean(String name, String path, int icon, long length, long lastModified, String mineType) {
        this.name = name;
        this.path = path;
        this.icon = icon;
        this.length = length;
        this.lastModified = lastModified;
        this.mineType = mineType;
    }

    public CleanFileBean(Bitmap icon1, Long length,String path) {
        this.icon1=icon1;
        this.length = length;
        this.path = path;
    }

//    public CleanFileBean(String displayName, String filePath, Bitmap icon1, long size, long dateModified, String mimeType) {
//        this.name = displayName;
//        this.path = filePath;
//        this.icon1 = icon1;
//        this.lastModified = dateModified;
//        this.mineType = mimeType;
//    }

    public CleanFileBean(String name, String path, Bitmap icon1, long length, long lastModified, String mineType) {
        this.name = name;
        this.path = path;
        this.icon1 = icon1;
        this.length = length;
        this.lastModified = lastModified;
        this.mineType = mineType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public int getIcon() {
        return icon;
    }

    public void setIcon(int icon) {
        this.icon = icon;
    }

    public long getLength() {
        return length;
    }

    public void setLength(long length) {
        this.length = length;
    }

    public long getLastModified() {
        return lastModified;
    }

    public void setLastModified(long lastModified) {
        this.lastModified = lastModified;
    }

    public String getMineType() {
        return mineType;
    }

    public void setMineType(String mineType) {
        this.mineType = mineType;
    }

    public boolean isSelected() {
        return isSelected;
    }

    public void setSelected(boolean selected) {
        isSelected = selected;
    }

    public boolean isScanning() {
        return isScanning;
    }

    public void setScanning(boolean scanning) {
        isScanning = scanning;
    }

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public List<CleanFileBean> getItems() {
        return items;
    }

    public void setItems(List<CleanFileBean> items) {
        this.items = items;
    }

    @Override
    public String toString() {
        return "FileBean{" +
                "name='" + name + '\'' +
                ", path='" + path + '\'' +
                ", icon=" + icon +
                ", length=" + length +
                ", lastModified=" + lastModified +
                ", mineType='" + mineType + '\'' +
                ", isSelected=" + isSelected +
                ", isScanning=" + isScanning +
                ", state=" + state +
                ", type=" + type +
                ", items=" + items +
                '}';
    }

    public Bitmap getIcon1() {
        return icon1;
    }

    public void setIcon1(Bitmap icon1) {
        this.icon1 = icon1;
    }
}
